cURL
curl --request GET \
--url https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/devices \
--header 'Content-Type: <content-type>' \
--header 'access_token: <access_token>' \
--header 'client_id: <client_id>'import requests
url = "https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/devices"
headers = {
"Content-Type": "<content-type>",
"client_id": "<client_id>",
"access_token": "<access_token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'Content-Type': '<content-type>',
client_id: '<client_id>',
access_token: '<access_token>'
}
};
fetch('https://apicorp.algartelecom.com.br/telecom/product-Inventory-management/management/v1/broker/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"devices": [
{
"id": 12548965,
"plan": "IOT MONITORAMENTO - TODAS OPERADORAS - 5 MBYTES",
"idVirtualAccount": 888888,
"activationDate": "2019-03-28T00:00:19.928Z",
"activationPrice": 10,
"automaticBlocking": "string",
"blockedByDefault": null,
"brokerContractDesc": "EXEMPLO 50MB INDIVIDUAL",
"brokerContractId": 77777,
"cancellationDate": "2024-12-30T17:39:32.727Z",
"contractAssetNumber": "A118430431",
"customerDocumentNumber": "45632199000109",
"customerId": "string",
"customerName": "Empresa X",
"parentName": "EXEMPLO COMUNICAÇÕES LTDA",
"parentDocumentNumber": "98765432000188",
"franchising": 5,
"iccid": "11113202000000449000",
"imeiLocked": true,
"imsi": "1111120200044773",
"lastStatusUpdate": "2024-12-30T17:39:32.727Z",
"lastUpdate": "2024-12-30T17:39:32.727Z",
"loyaltyType": 1,
"mbExcPrice": 2,
"msisdn": "5510000004818",
"networkBlockEndDate": "2024-12-30T17:39:32.727Z",
"networkBlockStartDate": "2024-12-30T17:39:32.727Z",
"networkBlockStatus": "NONE",
"nickname": "apelido",
"observation": "string",
"operator": "ALGAR TELECOM",
"penalty": null,
"preActivationDays": 15,
"preActivationEnd": "2025-04-01T03:00:00.000+00:00",
"price": 5,
"sharedCredit": null,
"sharedFranchise": "10",
"sharingType": "SHARED",
"simcardCredit": 50,
"status": "ACTIVE",
"subOperator": "ALGAR",
"eligibleToSuspension": false,
"suspensionEndDate": "2024-12-30T17:39:32.727Z",
"suspensionStartDate": "2024-12-30T17:39:32.727Z",
"tradeInMonth": null,
"apn": "apn.teste.br",
"imei": "05789654854859",
"rat": "2G",
"hostname": "99.999.999.99",
"locationInfo": "string",
"lastConnection": "2021-06-07T02:17:13.000Z",
"online": false,
"connOperator": "ALGAR",
"latitude": "-5.489552",
"longitude": "-47.45366",
"city": "Uberlandia",
"state": "Minas Gerais",
"zipCode": "38414158",
"consumptionPercent": "string",
"consumptionValidated": "string",
"consumptionCurrentDay": "string",
"consumption": "string",
"assetParentIot": "A5698745654",
"acronym": "IOT_MULTICONECT_M2M",
"accountCredit": 0,
"isSuspendable": "false",
"suspensionInitialDate": "2024-12-30T17:39:32.727Z",
"suspensionFinalDate": "2024-12-30T17:39:32.727Z",
"logicNumber": "99999",
"blockingType": "string",
"blockingInitialDate": "string",
"blockingFinalDate": "string",
"cpfCnpj": "45632199000109",
"roaming": null,
"lastAlertDateFrom": null,
"planType": "PREPAID",
"ggsn": "exemplo-ggsn",
"nuRenewals": 3,
"deviceNumber": "GPRFB71D"
}
]
}{
"errors": "Parameter not found"
}MoT
Devices
Retornar a lista de dispositivos de um cliente MoT. A lista em questão está pginada com filtros. (Possui dados sensíveis).
GET
/
broker
/
devices
cURL
Headers
Define o formato da requisição.
🔹 Valor padrão:
application/json
📌 Dica: Copie e cole esse valor no campo Content-Type.
Example:
"application/json"
Example:
"client_id"
Token gerado.
Example:
"access_token"
Query Parameters
Página
Example:
1
Tamanho da página
Example:
30
Mostrar contrato
Response
Listagem de dispositivos retornada com sucesso.

